
QGIS Application - Bug report #1305

QgsVectorDataProvider.uniqueValues always returns empty list

2008-09-10 05:24 AM - cfarmer -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11365

Description

No matter what data is used, uniqueValues always returns an empty list. This has been tested on a number of datasets (shapefiles).

History

#1 - 2008-09-10 09:28 AM - Jürgen Fischer

seems to only apply to the python binding

#2 - 2008-11-21 02:57 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:48724e05 (SVN r9684). Now this works fine:

lst = provider.uniqueValues(3)

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
